#ifndef SOßENABTEILUNG_H
#define SOßENABTEILUNG_H

#include <string>

// Definiere eine Aufzählung für die verschiedenen Arten von Soßen
enum class Soßenart {
    Soy,
    Fish,
    Hoisin,
    Chili_Oil,
    Sambal,
    Chili_Crisp
};

class Soßenabteilung {
private:
    int anzahl;
    Soßenart art;

public:
    // Konstruktor
    Soßenabteilung(int anzahl, Soßenart art);

    // Methode zum Lagern von Soßen
    void lagernVonSoßen(int zusätzlicheAnzahl);

    // Hilfsfunktion zur Konvertierung von Soßenart in String
    std::string soßenArtToString(Soßenart soßenart) const;
};

#endif

